Limitations - BlueCat vRO Plug-in - 8.0.1-9.3.0

IPAM Automation Guide

prodname
BlueCat vRO Plug-in
version_custom
8.0.1-9.3.0
  • The BlueCat vRO Plug-in v8.0.1 is only compatible with Address Manager v9.3.0. You cannot use the BlueCat vRO Plug-in v8.0.1 with Address Manager v9.2.0 or earlier.
  • Currently, the byte[] parameter type is not supported. The Java engine always transforms the byte[] parameter into NativeArray. As a result, the following three API methods are not supported:
    • public long addTFTPFile(long parentId, java.lang.String name, java.lang.String version, byte[] data, java.lang.String properties) throws java.rmi.RemoteException.
    • public byte[] updateBulkUdf(byte[] data, java.lang.String properties) throws java.rmi.RemoteException.
    • public void uploadResponsePolicyItems(long parentId, byte[] data) throws java.rmi.RemoteException.
  • The null parameter is not supported. Parameters that are null must be replaced by an empty string ("").